#include <bits/stdc++.h>

using namespace std;

void Maxa(vector<int> p, int i, int k, int&maxaura)
{
    int aura = maxaura;
    for(int j = i + 1; j < i + k; j++)
    {
        aura -= p[j];
        if(aura > maxaura)
            maxaura = aura;
    }
}

int main()
{
    int n, k, x, aura;
    cin >> n >> k >> x;
    vector<int> p(n, 0);
    for(int i = 0; i < n; i++)
    {
        cin >> x;
        p[i] = x;
    }

    for(int i = 0; i < n - k + 1; i++)
    {
        aura  = 0;
        for(int j = i; j < i + k; j++)
        {
            if(j == i)
                aura += p[i];
            else
                aura += 2 * p[j];
        }
        Maxa(p, i, k, aura);
        cout << aura << " ";
    }
    return 0;
}